Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFComment

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFComment

All Implemented Interfaces:
  Comment

    public class XSSFComment

extends java.lang.Object
implements Comment

Constructor Summary
`XSSFComment(CommentsTable comments, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment comment, schemasMicrosoftComVml.CTShape vmlShape)` Creates a new XSSFComment, associated with a given low level comment object.

Method Summary
`java.lang.String` | `getAuthor()` Name of the original comment author
`int` | `getColumn()` Return the column of the cell that contains the comment
`protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment` | `getCTComment()`
`protected schemasMicrosoftComVml.CTShape` | `getCTShape()`
`int` | `getRow()` Return the row of the cell that contains the comment
`XSSFRichTextString` | `getString()` Fetches the rich text string of the comment
`boolean` | `isVisible()` Sets whether this comment is visible.
`void` | `setAuthor(java.lang.String author)` Name of the original comment author.
`void` | `setColumn(int col)` Set the column of the cell that contains the comment
`void` | `setRow(int row)` Set the row of the cell that contains the comment
`void` | `setString(RichTextString string)` Sets the rich text string used by this comment.
`void` | `setString(java.lang.String string)`
`void` | `setVisible(boolean visible)` Returns whether this comment is visible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFComment

    public XSSFComment(CommentsTable comments,
                       org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment comment,
                       schemasMicrosoftComVml.CTShape vmlShape)

  Creates a new XSSFComment, associated with a given low level comment object.

Method Detail

### getAuthor

    public java.lang.String getAuthor()

  Description copied from interface: `Comment`
  Name of the original comment author

  Specified by:
    `getAuthor` in interface `Comment`
  Returns:
    Name of the original comment author. Default value is blank.

### setAuthor

    public void setAuthor(java.lang.String author)

  Name of the original comment author. Default value is blank.

  Specified by:
    `setAuthor` in interface `Comment`
  Parameters:
    `author` - the name of the original author of the comment

### getColumn

    public int getColumn()

  Description copied from interface: `Comment`
  Return the column of the cell that contains the comment

  Specified by:
    `getColumn` in interface `Comment`
  Returns:
    the 0-based column of the cell that the comment is associated with.

### getRow

    public int getRow()

  Description copied from interface: `Comment`
  Return the row of the cell that contains the comment

  Specified by:
    `getRow` in interface `Comment`
  Returns:
    the 0-based row index of the cell that the comment is associated with.

### isVisible

    public boolean isVisible()

  Description copied from interface: `Comment`
  Sets whether this comment is visible.

  Specified by:
    `isVisible` in interface `Comment`
  Returns:
    whether the comment is visible

### setVisible

    public void setVisible(boolean visible)

  Description copied from interface: `Comment`
  Returns whether this comment is visible.

  Specified by:
    `setVisible` in interface `Comment`
  Parameters:
    `visible` - whether the comment is visible

### setColumn

    public void setColumn(int col)

  Set the column of the cell that contains the comment

  Specified by:
    `setColumn` in interface `Comment`
  Parameters:
    `col` - the 0-based column of the cell that contains the comment

### setRow

    public void setRow(int row)

  Set the row of the cell that contains the comment

  Specified by:
    `setRow` in interface `Comment`
  Parameters:
    `row` - the 0-based row of the cell that contains the comment

### getString

    public XSSFRichTextString getString()

  Description copied from interface: `Comment`
  Fetches the rich text string of the comment

  Specified by:
    `getString` in interface `Comment`
  Returns:
    the rich text string of the comment

### setString

    public void setString(RichTextString string)

  Sets the rich text string used by this comment.

  Specified by:
    `setString` in interface `Comment`
  Parameters:
    `string` - the XSSFRichTextString used by this object.

### setString

    public void setString(java.lang.String string)

### getCTComment

    protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTComment getCTComment()

  Returns:
    the xml bean holding this comment's properties

### getCTShape

    protected schemasMicrosoftComVml.CTShape getCTShape()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.